﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewResourcesWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            ObservableAppointmentCollection appointments = new ObservableAppointmentCollection();
            InitializeComponent();
            this.scheduleView.AppointmentsSource = appointments;            

            ResourceType employeeResource = new ResourceType("Employee");

            var res = new EmployeeResource
            {
                ResourceName = "Mary Baird",
                DisplayName = "Mary Baird",
                Photo = "Images/image1.jpg",
                Brush = new SolidColorBrush(Colors.Blue)
            };

            employeeResource.Resources.Add(res);

            employeeResource.Resources.Add(new EmployeeResource
            {
                ResourceName = "Diego Roel",
                DisplayName = "Diego Roel",
                Photo = "Images/image2.jpg",
                Brush = new SolidColorBrush(Colors.Red)
            });

            employeeResource.Resources.Add(new EmployeeResource
            {
                ResourceName = "Grace Becerra",
                DisplayName = "Grace Becerra",
                Photo = "Images/image3.jpg",
                Brush = new SolidColorBrush(Colors.Green)
            });

            this.scheduleView.ResourceTypesSource = new ResourceTypeCollection
            {
                employeeResource
            };

            GroupDescriptionCollection groupDescription = new GroupDescriptionCollection
            {
                new DateGroupDescription(),
                new ResourceGroupDescription{ ResourceType = "Employee" }                
            };

            this.scheduleView.GroupDescriptionsSource = groupDescription;

            var app = new Appointment { Subject = "Test", Start = DateTime.Now, End = DateTime.Now.AddMinutes(60) };
            app.Resources.Add(res);
            appointments.Add(app);
        }
    }
}
